<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useToastStore } from '@/stores/toast'

const toastStores = useToastStore()
const { toastMessage } = storeToRefs(toastStores)
</script>

<template>
  <div
    class="toast-container position-absolute p-3 top-0 start-50 translate-middle-x"
  >
    <div
      aria-atomic="true"
      aria-live="assertive"
      class="toast success hide"
      role="alert"
    >
      <div class="toast-body">
        <div class="toast-icon icon-check col-1"></div>
        <span>
          {{ toastMessage }}
        </span>
      </div>
    </div>
  </div>

  <div
    class="toast-container position-absolute p-3 top-0 start-50 translate-middle-x"
  >
    <div
      aria-atomic="true"
      aria-live="assertive"
      class="toast error hide"
      role="alert"
    >
      <div class="toast-body">
        <div class="toast-icon icon-alert"></div>
        <span>
          {{ toastMessage }}
        </span>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
%common-toast-style {
  width: auto;
  height: 48px;
  color: #fff;
  border-radius: 24px;
}

%toast-body {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 12px 24px;
  .toast-icon {
    margin-right: 8px;
  }
}

.toast-container {
  .success {
    @extend %common-toast-style;

    background-color: #0aa04f;

    .toast-body {
      @extend %toast-body;
    }
  }

  .error {
    @extend %common-toast-style;

    background-color: #e1341c;

    .toast-body {
      @extend %toast-body;
    }
  }
}
</style>
